#!/usr/bin/perl
use Switch;

#### Get the list of areas and extract counties only

open(IN,"la.area");
@file_area=<IN>;
close(IN);
$num=@file_area;

$i=0;
$countyname="";

for($a=0;$a<$num;$a++){
    @line=split(/,/,$file_area[$a]);
    @line1=split(/\s+/,$line[0]);
    $numnum=@line1;
    @line2=split(/\s+/,$line[1]);
    if($line1[0] eq "F"){
	$county[$i][0]=$line1[1];   #stat id
        for($b=2; $b<($numnum-1); $b++){$countyname.=$line1[$b]." ";}
        chop($countyname);
        $county[$i][1]=$countyname.",";
        $county[$i][2]=$line2[1];
        $i++;
        $countyname="";
    }
}


######################################################



### Print out data to file:

for($ii=1990; $ii<=2010; $ii++){
    for($j=1; $j<=12; $j++){
        $fout=$ii.$j;
	$fileout=">all_data_".$ii."_".$j.".dat";
	open($fout,$fileout);
#        for($c=0; $c<$i; $c++){
#           print OUT "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$county[$c][0]][$ii][$j]\n";
#	}
       
    }}




######################################################

####  Get the numbers

#  for($c=0; $c<$i; $c++){
#      print "$county[$c][0] $county[$c][1] $county[$c][2]\n";
#  }
 

# la.data.0.CurrentU90-94 
 
print "Getting 1990-1994 data\n";

open(IN,"la.data.0.CurrentU90-94");
@file_data=<IN>;
close(IN);
$num=@file_data;

for($c=0; $c<$i; $c++){
      $code="LAU".$county[$c][0]."03";
    # print "$code\n";
      for($a=0; $a<$num; $a++){

	  @line=split(/\s+/,$file_data[$a]);
#	  print "$line[0]:$code\n";

          if($line[0] eq $code && $line[2] ne "M13"){
 #              printf("In a drive\n");
#	      print "Before the break\n";
#	      print "$line[2]\n";
switch($line[2]) {
    case "M01" {$month=1}      
    case "M02" {$month=2}
    case "M03" {$month=3}
    case "M04" {$month=4}
    case "M05" {$month=5}
    case "M06" {$month=6}
    case "M07" {$month=7}
    case "M08" {$month=8}
    case "M09" {$month=9} 
    case "M10" {$month=10}
    case "M11" {$month=11}
    case "M12" {$month=12}
    break;
}

#rint "Past the break\n";
	      $rate[$county[$c][0]][$line[1]][$month]=$line[3];
  $fout=$line[1].$month;
print "$fout\n";
print $fout "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$county[$c][0]][$line[1]][$month] $line[1] $month\n";
	  }
      } 

#print "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$count[$c][0]][1990][1]\n";

  }

        
#  for($c=0; $c<$i; $c++){
#      print "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$count[$c][0]][1990][1]\n";
#  }
 


########################################
########################################

print "Getting 1995-1999 data\n";

open(IN,"la.data.0.CurrentU95-99");
@file_data=<IN>;
close(IN);
$num=@file_data;

for($c=0; $c<$i; $c++){
      $code="LAU".$county[$c][0]."03";
    # print "$code\n";
      for($a=0; $a<$num; $a++){

	  @line=split(/\s+/,$file_data[$a]);
#	  print "$line[0]:$code\n";

          if($line[0] eq $code && $line[2] ne "M13"){
 #              printf("In a drive\n");
#	      print "Before the break\n";
#	      print "$line[2]\n";
switch($line[2]) {
    case "M01" {$month=1}      
    case "M02" {$month=2}
    case "M03" {$month=3}
    case "M04" {$month=4}
    case "M05" {$month=5}
    case "M06" {$month=6}
    case "M07" {$month=7}
    case "M08" {$month=8}
    case "M09" {$month=9} 
    case "M10" {$month=10}
    case "M11" {$month=11}
    case "M12" {$month=12}
    break;
}

#rint "Past the break\n";

	      $rate[$county[$c][0]][$line[1]][$month]=$line[3];

 $fout=$line[1].$month;
print $fout "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$county[$c][0]][$line[1]][$month] $line[1] $month\n";

	  }
      } 
#print "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$count[$c][0]][1990][1]\n";

  }

######################################################
######################################################

print "Getting 2000-2004 data\n";

open(IN,"la.data.0.CurrentU00-04");
@file_data=<IN>;
close(IN);
$num=@file_data;

for($c=0; $c<$i; $c++){
      $code="LAU".$county[$c][0]."03";
    # print "$code\n";
      for($a=0; $a<$num; $a++){

	  @line=split(/\s+/,$file_data[$a]);
#	  print "$line[0]:$code\n";

          if($line[0] eq $code && $line[2] ne "M13"){
 #              printf("In a drive\n");
#	      print "Before the break\n";
#	      print "$line[2]\n";
switch($line[2]) {
    case "M01" {$month=1}      
    case "M02" {$month=2}
    case "M03" {$month=3}
    case "M04" {$month=4}
    case "M05" {$month=5}
    case "M06" {$month=6}
    case "M07" {$month=7}
    case "M08" {$month=8}
    case "M09" {$month=9} 
    case "M10" {$month=10}
    case "M11" {$month=11}
    case "M12" {$month=12}
    break;
}

#rint "Past the break\n";
	      $rate[$county[$c][0]][$line[1]][$month]=$line[3];

 $fout=$line[1].$month;
print $fout "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$county[$c][0]][$line[1]][$month] $line[1] $month\n";

	  }
      } 
#print "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$count[$c][0]][1990][1]\n";

  }

#############################################
############################################
print "Getting 2005-2009 data\n";

open(IN,"la.data.0.CurrentU05-09");
@file_data=<IN>;
close(IN);
$num=@file_data;

for($c=0; $c<$i; $c++){
      $code="LAU".$county[$c][0]."03";
    # print "$code\n";
      for($a=0; $a<$num; $a++){

	  @line=split(/\s+/,$file_data[$a]);
#	  print "$line[0]:$code\n";

          if($line[0] eq $code && $line[2] ne "M13"){
 #              printf("In a drive\n");
#	      print "Before the break\n";
#	      print "$line[2]\n";
switch($line[2]) {
    case "M01" {$month=1}      
    case "M02" {$month=2}
    case "M03" {$month=3}
    case "M04" {$month=4}
    case "M05" {$month=5}
    case "M06" {$month=6}
    case "M07" {$month=7}
    case "M08" {$month=8}
    case "M09" {$month=9} 
    case "M10" {$month=10}
    case "M11" {$month=11}
    case "M12" {$month=12}
    break;
}

#rint "Past the break\n";
	      $rate[$county[$c][0]][$line[1]][$month]=$line[3];

 $fout=$line[1].$month;
print $fout "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$county[$c][0]][$line[1]][$month] $line[1] $month\n";


	  }
      } 
#print "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$count[$c][0]][1990][1]\n";

  }

#############################################
############################################

print "Getting 2010-2014 data\n";

open(IN,"la.data.0.CurrentU10-14");
@file_data=<IN>;
close(IN);
$num=@file_data;

for($c=0; $c<$i; $c++){
      $code="LAU".$county[$c][0]."03";
    # print "$code\n";
      for($a=0; $a<$num; $a++){

	  @line=split(/\s+/,$file_data[$a]);
#	  print "$line[0]:$code\n";

          if($line[0] eq $code && $line[2] ne "M13"){
 #              printf("In a drive\n");
#	      print "Before the break\n";
#	      print "$line[2]\n";
switch($line[2]) {
    case "M01" {$month=1}      
    case "M02" {$month=2}
    case "M03" {$month=3}
    case "M04" {$month=4}
    case "M05" {$month=5}
    case "M06" {$month=6}
    case "M07" {$month=7}
    case "M08" {$month=8}
    case "M09" {$month=9} 
    case "M10" {$month=10}
    case "M11" {$month=11}
    case "M12" {$month=12}
    break;
}

#rint "Past the break\n";
	      $rate[$county[$c][0]][$line[1]][$month]=$line[3];

 $fout=$line[1].$month;
print $fout "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$county[$c][0]][$line[1]][$month] $line[1] $month\n";

	  }
      } 
#print "$county[$c][0] $county[$c][1] $county[$c][2]  $rate[$count[$c][0]][1990][1]\n";

  }

#############################################
############################################


### Now we have all data from 90-00

### make the maps, one for each month-20 * 12 = 240 maps ~= 10 seconds

#<text font-family="Verdana" font-size="25" id="title" x="450" y="35" text-anchor="middle" >1990-01</text> 
